// Copyright (C) Kimmo Lahtinen - All Rights Reserved

// Input from vertex shader
varying mediump vec4 frag_color;
varying mediump vec2 frag_uv;

uniform sampler2D uni_diffuse_texture;

//#define DEBUG_VISUALIZE_FLARES

void main(void) 
{
	gl_FragColor = frag_color * texture2D(uni_diffuse_texture, frag_uv);

#ifdef DEBUG_VISUALIZE_FLARES
	gl_FragColor *= 10.0;
#endif
}
